package javax.naming.directory;

import javax.naming.NamingException;

public class AttributeModificationException extends NamingException
{
    private ModificationItem[] unexecs;
    private static final long serialVersionUID = 8060676069678710186L;
    
    public AttributeModificationException(String explanation) {
        super(explanation);
        this.unexecs = null;
    }
    
    public AttributeModificationException() {
        this.unexecs = null;
    }
    
    public void setUnexecutedModifications(ModificationItem[] unexecs) {
        this.unexecs = unexecs;
    }
    
    public ModificationItem[] getUnexecutedModifications() {
        return this.unexecs;
    }
    
    @Override
    public String toString() {
        String str = super.toString();
        if (this.unexecs != null) {
            str = str + "First unexecuted modification: " + this.unexecs[0].toString();
            return str;
        }
        return str;
    }
}
